commit:     fb2b2523096086e9bd217e006edf4c62d264498c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 30 19:38:38 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 30 19:45:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb2b2523

dev-python/pyquery: Enable py3.10

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyquery/pyquery-1.4.3.ebuild | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

diff --git a/dev-python/pyquery/pyquery-1.4.3.ebuild 
b/dev-python/pyquery/pyquery-1.4.3.ebuild
index 5e3ce4f6ef3..c89aff0e991 100644
--- a/dev-python/pyquery/pyquery-1.4.3.ebuild
+++ b/dev-python/pyquery/pyquery-1.4.3.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7,8,9} pypy3 )
+PYTHON_COMPAT=( python3_{7..10} pypy3 )
 
 inherit distutils-r1 optfeature
 
@@ -14,30 +14,28 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~s390 sparc x86 
~x64-macos"
-IUSE="test"
 
 RDEPEND="
        >=dev-python/lxml-2.1[${PYTHON_USEDEP}]
        >dev-python/cssselect-0.7.9[${PYTHON_USEDEP}]
        >=dev-python/webob-1.1.9[${PYTHON_USEDEP}]"
 DEPEND="
-       test? ( ${RDEPEND}
+       test? (
                dev-python/beautifulsoup[${PYTHON_USEDEP}]
                dev-python/requests[${PYTHON_USEDEP}]
-               dev-python/nose[${PYTHON_USEDEP}]
                dev-python/webtest[${PYTHON_USEDEP}]
        )"
 
-RESTRICT+=" !test? ( test )"
-
 PATCHES=(
        "${FILESDIR}/pyquery-1.4.1-network-tests.patch"
        "${FILESDIR}/pyquery-1.4.1-tests-pypy.patch"
 )
 
+distutils_enable_tests nose
+
 python_test() {
        # The suite, it appears, requires this hard setting of PYTHONPATH!
-       PYTHONPATH=. nosetests || die "Tests fail with ${EPYTHON}"
+       PYTHONPATH=. nosetests -v || die "Tests fail with ${EPYTHON}"
 }
 
 pkg_postinst() {

Reply via email to